QGIS Application - Bug report #7536
shapefiles served with qgis wfs server are completely wrong (used to work in 1.8)
2013-04-07 03:49 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: René-Luc RelLuc

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16480
Description

pick the attached sample project, and change the project settings ("ows server") so you will able to publish it with ggis server (wfs).

Then use the qgis wfs client to download the vector, you will see (see attached images) that is completely wrong.

This does not happen if the input vector is PostGIS and didn't happened at all on qgis 1.8.

History

#1 - 2013-04-19 02:39 AM - René-Luc ReLuc

- Category changed from QGIS Server to Web Services clients/WFS

| have testing the project and comparing GML and GeoJSON provided by the QGS Server WFS.

The GeoJSON rendering is exactly the same as ESRI ShapeFile.
The GML data is the same as GeoJSON but the rendering is not the same.

The problem is a GML Parsing error.

#2 - 2013-04-24 12:26 PM - René-Luc RelLuc

- Resolution set to fixed

- % Done changed from 0 to 100

- Assignee set to René-Luc RelLuc

- Status changed from Open to Closed

The bug was due to an inversion between tuple and coordinates separator in Polygon coordinates elements.

commit 28ade759b32bee140356081607d86814b25a755f commit:28ade759b32bee140356081607d86814b25a755f
